# $Revision: 1.18 $, $Date: 2011/12/21 14:37:16 $
# TODO:
# - fix test (it fails on icedtea6). If I understand
#   http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=192 and junit output
#   correctly, this bug is fixed, but test has not been updated. That is why
#   tests fail.
%bcond_with	tests	# Enable tests, see TODO

%include	/usr/lib/rpm/macros.java

%define		srcname	xmlgraphics-commons
Summary:	Apache XML Graphics Commons
Summary(pl.UTF-8):	Apache XML Graphics Commons - wspólne komponenty graficzne
Name:		java-xmlgraphics-commons
Version:	1.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
# http://svn.apache.org/repos/asf/xmlgraphics/commons/branches/commons-1_0/
Source0:	http://www.apache.net.pl/xmlgraphics/commons/source/xmlgraphics-commons-%{version}-src.tar.gz
# Source0-md5:	d2b56a1671d2ca63480e38acd9629ea7
URL:		http://xmlgraphics.apache.org/commons/
BuildRequires:	ant >= 1.6.5
%{?with_tests:BuildRequires:	ant-junit}
BuildRequires:	java-commons-io
BuildRequires:	java-commons-logging
%{?with_tests:BuildRequires:	java-junit >= 3.8.1}
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
# disable internal-codecs in build.properities for compatibility with other jre's
Requires:	java-commons-io
Requires:	java-commons-logging
Requires:	jre >= 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache XML Graphics Commons is a library that consists of several
reusable components used by Apache Batik and Apache FOP. Many of these
components can easily be used separately outside the domains of SVG
and XSL-FO. You will find components such as a PDF library, an RTF
library, Graphics2D implementations that let you generate PDF &
PostScript files, and much more.

%description -l pl.UTF-8
Apache XML Graphics Commons to biblioteka składająca się z kilku
wspólnych komponentów używanych przez Apache Batik i Apache POP. Wiele
z tych komponentów może być łatwo wykorzystanych poza dziedziną SVG i
XSL-FO. Można tu znaleźć komponenty takie jak biblioteka PDF,
biblioteka RTF czy implementacje Graphics2D pozwalające generować
pliki PDF oraz PostScript i wiele więcej.

%prep
%setup -q -n %{srcname}-%{version}

rm lib/*.jar

%build
required_jars="commons-io commons-logging"
export JAVA_HOME=%{java_home}
CLASSPATH=$(build-classpath $required_jars)
%ant -Dbuild.sysclasspath=first -Djunit.present=0 package %{?with_tests:junit}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/xmlgraphics-commons-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc KEYS README lib/README.txt examples
%{_javadir}/%{srcname}.jar
%{_javadir}/%{srcname}-%{version}.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xmlgraphics-commons.spec,v $
Revision 1.18  2011/12/21 14:37:16  arekm
- up to 1.4

Revision 1.17  2010/04/24 21:32:56  pawelz
- disable tests, see TODO
- rel 2

Revision 1.16  2010/04/24 21:20:22  pawelz
- better way to set CLASSPATH

Revision 1.15  2010/04/24 18:13:03  pawelz
- don't set JAVA and JAVAC env vars. They are never used.

Revision 1.14  2010/04/17 07:44:31  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.13  2010/04/06 21:05:14  sparky
- BR: rpm-javaprov

Revision 1.12  2010/04/03 18:42:40  pawelz
- drop gcj support. gcj lacks required API.

Revision 1.11  2010/04/03 18:33:54  pawelz
- renamed from xmlgraphics-commons
- unified

Revision 1.10  2008/12/29 13:21:58  pawelz
- up to 1.3.1
- updated dependencies

Revision 1.9  2008/12/29 12:07:48  pawelz
- added TODO

Revision 1.8  2008/12/29 12:01:36  pawelz
- sorted BRs and Rs

Revision 1.7  2008/12/29 12:00:57  pawelz
- user system jar libs
- unified %%install section

Revision 1.6  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.4  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.3  2006/05/26 12:21:41  qboosh
- pl

Revision 1.2  2006/05/24 19:49:14  radek
- +xmlgraphics-commons.jar

Revision 1.1  2006/05/24 19:24:11  radek
- new, source from svn branch 1.0
